package de.ivu.elect.presentation.wahl.action;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.jee.presentation.security.StartViewResolver;

@Specializes
public class NlWasWahlZurBearbeitungAuswaehlenAction extends WasWahlZurBearbeitungAuswaehlenAction {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient StartViewResolver startViewResolver;

  @Override
  public String doIt(Wahl entity) {
    super.doIt(entity);
    return startViewResolver.getStartViewId();
  }
}
